> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an object property group

> Update the details for an existing property group.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['contacts']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/crm-properties-v2.json PUT /properties/v2/{object_type}/groups/named/{group_name}
openapi: 3.0.0
info:
  title: CRM Properties API v2
  version: 2.0.0
  description: >-
    Legacy CRM Properties API v2 - Manage properties and property groups for any
    CRM object type
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /properties/v2/{object_type}/groups/named/{group_name}:
    put:
      summary: Update an object property group
      description: Update the details for an existing property group.
      operationId: putpropertiesv2objecttypegroupsnamedgroupname
      parameters:
        - name: object_type
          in: path
          required: true
          description: >-
            The specific type of CRM object that the property group is assigned
            to. You can use the object name (e.g., `contacts`) or the
            `objectTypeId` (e.g., `0-1`).
          schema:
            type: string
        - name: group_name
          in: path
          required: true
          description: The name of the group.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ObjectPropertyGroupUpdate'
      responses:
        '200':
          description: Object property group updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObjectPropertyGroup'
components:
  schemas:
    ObjectPropertyGroupUpdate:
      type: object
      properties:
        displayName:
          type: string
          description: The displayed name of the group
        displayOrder:
          type: integer
          description: The order of the group
    ObjectPropertyGroup:
      type: object
      properties:
        name:
          type: string
          description: The internal name of the property group
        displayName:
          type: string
          description: The displayed name of the group
        displayOrder:
          type: integer
          description: The order of the group when displaying properties
        hubspotDefined:
          type: boolean
          description: Whether the group is defined by HubSpot
        portalId:
          type: integer
          description: The portal ID this group belongs to

````